Bug 640925 - "init 1" in GNOME doesn't work
Summary: "init 1" in GNOME doesn't work
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-07 08:34 UTC by Michael Schwendt
Modified: 2012-08-16 20:14 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 20:14:35 UTC
Type: ---


Attachments (Terms of Use)

Description Michael Schwendt 2010-10-07 08:34:04 UTC
If upstart is not the culprit, please reassign this to the component you consider to be responsible for this.


Version-Release number of selected component (if applicable):
$ rpm -qf /sbin/init
upstart-sysvinit-0.6.5-9.fc14.i686


How reproducible:
Always. Confirmed on test-list.

Steps to Reproduce:
1. default install of Fedora 14 Beta
2. log into GNOME
3. run "init 1" (or "init 3") as superuser root
  
Actual results:
Some processes are killed, some malfunction, X survives the run-level change, users are not logged out. 

Expected results:
A clean switch to single-user mode on virtual console.

Comment 1 Michael Schwendt 2010-10-07 09:02:19 UTC
Downgraded to

  $ rpm -q initscripts
  initscripts-9.19-1.fc14.i686

which works. Some of the fixes in 9.20-1 could be the cause of the issue.

Comment 2 Michael Schwendt 2010-10-07 09:09:54 UTC
It worked once only. Then initscripts-9.19-1.fc14 also failed multiple times in a row.

Comment 3 Petr Lautrbach 2010-10-07 15:27:03 UTC
The problem is somewhere in the way how gdm-binary or gnome-session works. 

When gnome-session starts, it becomes session leader and therefore it's not killed
when gdm-binary receives SIGTERM.

Comment 4 Petr Lautrbach 2010-10-07 15:50:09 UTC
This has appeared between gdm-2.28.2-3.fc12 and gdm-2.30.2-1.fc13

Comment 5 Petr Lautrbach 2010-10-07 16:12:40 UTC
Sorry, it didn't appeared in gdm-2.30.2-1.fc13 but in gnome-session-2.30.0-1.fc13.x86_64

Comment 6 jjletho67-bugzilla 2010-12-24 15:41:42 UTC
I have just posted the bug 665540 which could be correlated to this one.

Comment 7 Fedora End Of Life 2012-08-16 20:14:38 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.